Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227987 - No GPG integration with Nautilus when GPG present on system
Summary: No GPG integration with Nautilus when GPG present on system
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-09 11:25 UTC by Gerard Fernandes
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-13 09:29:39 UTC


Attachments (Terms of Use)

Description Gerard Fernandes 2007-02-09 11:25:04 UTC
Description of problem: No GPG integration with Nautilus even with GNU-PG
installed and present on the system


Version-Release number of selected component (if applicable): FC-6, all updates
applied as of today.


How reproducible: Always


Steps to Reproduce:
1. Right click on any file
2. No options present to encrypt/decrypt file even though GPG is installed on
the system.
  
Actual results: No options to encrypt/decrypt files.


Expected results: User should be presented context menu items that allow
encryption of normal files (and conversely, decryption of encrypted files) when
GNU-PG is available on the system.


Additional info: Ideally, this should be extended to support directories as well
(tar.bzip it and then encrypt) and integrated with the Gnome Key Manager for
managing GNU-PG keys.

Comment 1 Alexander Larsson 2007-02-13 09:29:39 UTC
Please file such feature request with somg gpg bugtracker upstream.


Note You need to log in before you can comment on or make changes to this bug.